## fpdf 2.7.3+ds

=== docs/requirements.txt ===
mkdocs
mkdocs-include-markdown-plugin
mkdocs-material
mkdocs-minify-plugin
mkdocs-with-pdf
mknotebooks
# mkdocs-macros-plugin
# mkdocs-redirects
pdoc3

=== test/requirements.txt ===
bandit
black
# camelot-py[base] : does not work due to https://github.com/vinayak-mehta/pdftopng/issues/11
camelot-py
endesive
ghostscript  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
opencv-python  # required by camelot-py[base]: https://github.com/camelot-dev/camelot/blob/master/setup.py#L27
pre-commit
pylint
pytest
pytest-cov
pytest-timeout
qrcode
semgrep
tabula-py

=== debian/changelog ===
fpdf (2.7.3+ds-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:14:10 +0200

fpdf (2.7.3+ds-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Apr 2023 18:37:01 +0200

=== debian/control ===
Source: fpdf
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-cryptography,
 python3-defusedxml,
 python3-endesive,
 python3-fonttools,
 python3-pil,
 python3-pytest,
 python3-qrcode
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://pyfpdf.github.io/fpdf2/

Package: python3-fpdf
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-endesive,
Description: library for simple & fast PDF document generation (Python 3)
 This package contains library for simple & fast PDF document generation in
 Python. It is a fork and the successor of PyFPDF.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=fpdf
export PYBUILD_BEFORE_TEST=cp -r {dir}/test {build_dir}/; cp -r {dir}/docs {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test; rm -rf {build_dir}/docs
export PYBUILD_TEST_ARGS=-k 'not test_share_images_cache and not test_png_url and not test_page_background and not test_sign_pkcs12_with_link and not test_sign_pkcs12 and not test_svg_conversion_no_transparency and not test_svg_image and not test_svg_image_fixed_dimensions and not test_svg_image_no_dimensions and not test_svg_image_with_custom_width and not test_svg_image_with_custom_width_and_no_dimensions and not test_svg_image_with_no_dimensions_and_custom_width and not test_svg_image_with_custom_size and not test_svg_conversion'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
      dversionmangle=s/\+ds//,repacksuffix=+ds" \
    https://github.com/PyFPDF/fpdf2/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
